--- pynicotine/gtkgui/__init__.py	2024-02-26 03:16:02
+++ pynicotine/gtkgui/__init__.py	2024-03-30 08:51:52
@@ -120,6 +120,12 @@
         os.environ["GI_TYPELIB_PATH"] = os.path.join(executable_folder, "lib", "typelibs")
         os.environ["GSETTINGS_SCHEMA_DIR"] = os.path.join(executable_folder, "lib", "schemas")
 
+    elif sys.platform == "darwin":
+        # Use Cairo software rendering due to flickering issues in the GPU renderer (#2859).
+        # Reevaluate when the new GPU renderers are stable:
+        # https://blog.gtk.org/2024/01/28/new-renderers-for-gtk/
+        os.environ["GSK_RENDERER"] = "cairo"
+
     if sys.platform == "win32":
         # 'win32' PangoCairo backend on Windows is too slow, use 'fontconfig' instead
         os.environ["PANGOCAIRO_BACKEND"] = "fontconfig"
